using Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GameAtlas.Stub
{
    public class Stub : IPersistanceManager
    {
        public (ObservableCollection<Jeu>,List<Admin>,List<Utilisateur>) ChargeDonnees()
        {
            List<Utilisateur> ListUsers = new List<Utilisateur>();
            List<Admin> ListAdmins = new List<Admin>();
            ObservableCollection<Jeu> ListJeu = new ObservableCollection<Jeu>();

            Utilisateur userTest = new Utilisateur("test@gmail.com", "test", "Test1234");
            Admin admin = new Admin("admin@example.com", "admin", "Admin1234");
            ListUsers.Add(userTest);
            ListAdmins.Add(admin);

            Jeu TheLastOfUs = new Jeu("The Last Of Us Part I", "Dans un monde dvast o rdent infects et survivants endurcis, Joel, un protagoniste dsabus, est engag pour faire sortir Ellie, 14 ans, d'une zone de quarantaine militaire. Mais ce qui devait tre une simple mission de routine se transforme vite en un dangereux priple  travers le pays.", "28 Mars 2023", "PS5 PC", "Naughty Dog LLC", "PlayStation PC LLC", 8.5, 487, "Solo Action Aventure", "cover_lastofus1.png");
            Jeu ForzaHorizon = new Jeu("Forza Horizon 5", "Dans ce jeu, vous pouvez explorer une carte en monde ouvert vraiment massive, cinquante pour cent plus grande que la carte non ngligeable de Forza Horizon 4. Faites la course avec divers vhicules  travers la caldeira d'un volcan, explorez les jungles et les forts tropicales  la recherche de villes en ruines caches, parcourez les plages de sable blanc, et passez devant des chutes d'eau, des montagnes enneiges et de grandes villes comme Guanajuato, qui possde un rseau de tunnels secrets  explorer !", "9 Novembre 2021", "PC XOne", "Playground Games", "Xbox Game Studios", 6.5, 420, "Course Simulation Sport", "cover_forzahorizon5.png");
            Jeu TOTK = new Jeu("The Legend of Zelda: Tears of the Kingdom", "Dans ce jeu, vous pouvez explorer une carte en monde ouvert vraiment massive, cinquante pour cent plus grande que la carte non ngligeable de Forza Horizon 4. Faites la course avec divers vhicules  travers la caldeira d'un volcan, explorez les jungles et les forts tropicales  la recherche de villes en ruines caches, parcourez les plages de sable blanc, et passez devant des chutes d'eau, des montagnes enneiges et de grandes villes comme Guanajuato, qui possde un rseau de tunnels secrets  explorer !", "12 Mai 2023", "Switch", "Nintendo", "Nintendo", 10, 250, "Action Aventure", "cover_zelda.png");
            Jeu ReadyOrNot = new Jeu("Ready or Not", "Ready or Not est un jeu de tir tactique et intense en vue subjective. Membre d'une unit d'lite de la police, vous relevez les dfis du monde moderne, tous plus dlicats les uns que les autres.", "18 Dcembre 2021", "PC", "VOID Interactive", "VOID Interactive", 7, 100, "Solo Action Aventure", "cover_readyornot.png");
            Jeu Hogwarts = new Jeu("Hogwarts Legacy : L'Hritage de Poudlard", "Hogwarts Legacy est un jeu de rle d'action et d'aventure solo bas sur l'univers de Harry Potter, dans lequel le joueur incarne un nouveau venu dans le chteau enchant tant apprci des fans des livres et de la franchise cinmatographique.", "10 Fvrier 2023", "PC Switch XOne", "Avalanche Software", "Warner Bros. Games", 5, 100, "Solo Action Aventure RPG", "cover_hogwarts.png");
            Jeu RE4 = new Jeu("Resident Evil 4", "Six ans se sont couls depuis la catastrophe biologique de Raccoon City. L'agent Leon S. Kennedy, l'un des survivants du drame, est envoy secourir la fille du prsident qui a t kidnappe. Son enqute le mne jusqu' un village europen isol, dont les habitants cachent un effroyable secret. Et ainsi se lve le rideau d'une histoire de sauvetage audacieux et d'horreur atroce, o se mlent vie, mort, terreur et catharsis.", "24 Mars 2023", "PC XSeries", "CAPCOM Co., Ltd.", "CAPCOM Co., Ltd.", 8, 100, "Solo Action Aventure", "cover_residentevil4.png");
            Jeu JediSurvivor = new Jeu("Star Wars Jedi: Survivor", "Pouss aux confins de la galaxie par l'Empire, Cal devra faire face  toujours plus de menaces, parmi lesquelles l'attendent des adversaires au visage familier. En tant qu'un des derniers reprsentants encore en vie des Chevaliers Jedi, Cal devra faire un choix pendant cette priode sombre de l'histoire de la galaxie. Mais jusqu'o sera-t-il prt  aller pour assurer sa survie et celle de son quipage, et dfendre l'hritage de l'Ordre Jedi ?", "28 Avril 2023", "PC XSeries", "Respawn", "Electronic Arts", 5.5, 100, "Solo Action Aventure", "cover_starwarsjedisurvivor.png");
            ListJeu.Add(TheLastOfUs);
            ListJeu.Add(ForzaHorizon);
            ListJeu.Add(TOTK);
            ListJeu.Add(ReadyOrNot);
            ListJeu.Add(Hogwarts);
            ListJeu.Add(RE4);
            ListJeu.Add(JediSurvivor);

            return (ListJeu,ListAdmins,ListUsers);
        }

        public void SauvegardeDonnees(ObservableCollection<Jeu> jeux, List<Admin> admins, List<Utilisateur> utilisateurs)
        {
            throw new NotImplementedException();
        }
    }
}