﻿/// \file
/// \brief Définition de la classe Utilisateur.
/// \author Rémi Lavergne - Yvan Calatayud

using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Models
{
    [DataContract]
    [KnownType(typeof(Admin))]
    public class Utilisateur
    {
        [DataMember]
        public string Mail { get; private set; }
        [DataMember]
        public string Pseudo { get; private set; }
        [DataMember]
        public string Mdp { get; private set; }
        [DataMember]
        public string DateCreation { get; private set; }
        [DataMember]
        public bool EstAdmin { get; set; }
        [DataMember]
        public ObservableCollection<Jeu> ListePossedes { get; private set; }
        [DataMember]
        public ObservableCollection<Jeu> ListeFavoris { get; private set; }

        public Utilisateur(string mail, string pseudo, string mdp)
        {
            Mail = mail;
            Pseudo = pseudo;
            Mdp = mdp;
            DateCreation = DateTime.Today.ToString("d");
            ListePossedes = new ObservableCollection<Jeu>();
            ListeFavoris = new ObservableCollection<Jeu>();
            EstAdmin = false;
        }

    }
}
