﻿using Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Diagnostics;

namespace Tests
{
    public class UtilisateurSimulation
    {
        [Fact]
        public void Utilisateur_Creation_Et_Verification()
        {
            
            string mail = "test@example.com";
            string pseudo = "testuser";
            string mdp = "password";


            Utilisateur utilisateur = new Utilisateur(mail, pseudo, mdp);

            // Assert
            Assert.Equal(mail, utilisateur.Mail);
            Assert.Equal(pseudo, utilisateur.Pseudo);
            Assert.Equal(mdp, utilisateur.Mdp);
            Assert.False(utilisateur.EstAdmin);
            Assert.Empty(utilisateur.ListePossedes);
            Assert.Empty(utilisateur.ListeFavoris);
        }

        [Fact]
        public void Utilisateur_Ajouter_Jeu_Aux_Listes()
        {
            
            Utilisateur utilisateur = new Utilisateur("test@example.com", "testuser", "password");
            Jeu TheLastOfUs = new Jeu("The Last Of Us Part I", "Dans un monde dévasté où rôdent infectés et survivants endurcis, Joel, un protagoniste désabusé, est engagé pour faire sortir Ellie, 14 ans, d'une zone de quarantaine militaire. Mais ce qui devait être une simple mission de routine se transforme vite en un dangereux périple à travers le pays.", "28 Mars 2023", "PS5 PC", "Naughty Dog LLC", "PlayStation PC LLC", 8.5, 487, "Solo Action Aventure", "cover_lastofus1.png");

            
            utilisateur.ListePossedes.Add(TheLastOfUs);
            utilisateur.ListeFavoris.Add(TheLastOfUs);

            // Assert
            Assert.Contains(TheLastOfUs, utilisateur.ListePossedes);
            Assert.Contains(TheLastOfUs, utilisateur.ListeFavoris);
        }

        [Fact]
        public void Utilisateur_Supprimer_Jeu_Des_Listes()
        {
            
            Utilisateur utilisateur = new Utilisateur("test@example.com", "testuser", "password");
            Jeu ForzaHorizon = new Jeu("Forza Horizon 5", "Dans ce jeu, vous pouvez explorer une carte en monde ouvert vraiment massive, cinquante pour cent plus grande que la carte non négligeable de Forza Horizon 4. Faites la course avec divers véhicules à travers la caldeira d'un volcan, explorez les jungles et les forêts tropicales à la recherche de villes en ruines cachées, parcourez les plages de sable blanc, et passez devant des chutes d'eau, des montagnes enneigées et de grandes villes comme Guanajuato, qui possède un réseau de tunnels secrets à explorer !", "9 Novembre 2021", "PC XOne", "Playground Games", "Xbox Game Studios", 6.5, 420, "Course Simulation Sport", "cover_forzahorizon5.png");
            utilisateur.ListePossedes.Add(ForzaHorizon);
            utilisateur.ListeFavoris.Add(ForzaHorizon);

            
            utilisateur.ListePossedes.Remove(ForzaHorizon);
            utilisateur.ListeFavoris.Remove(ForzaHorizon);

            // Assert
            Assert.DoesNotContain(ForzaHorizon, utilisateur.ListePossedes);
            Assert.DoesNotContain(ForzaHorizon, utilisateur.ListeFavoris);
        }
    }
}
